## GtkPlotFlux GtkPlotFlux |

## Functions

GtkWidget * | gtk_plot_flux_new ()
void | gtk_plot_flux_set_arrow ()
void | gtk_plot_flux_get_arrow ()
void | gtk_plot_flux_center ()
gboolean | gtk_plot_flux_is_centered ()
void | gtk_plot_flux_show_scale ()
void | gtk_plot_flux_set_scale_max ()
void | gtk_plot_flux_set_size_max ()
void | gtk_plot_flux_set_labels_precision ()
void | gtk_plot_flux_set_labels_style ()
void | gtk_plot_flux_set_labels_prefix ()
void | gtk_plot_flux_set_labels_suffix ()

## Properties

gboolean | centered | Read / Write
gint | labels-precision | Read / Write
gchar * | labels-prefix | Read / Write
gint | labels-style | Read / Write
gchar * | labels-suffix | Read / Write
gint | length | Read / Write
gdouble | scale-max | Read / Write
gboolean | show-scale | Read / Write
gint | size-max | Read / Write
gint | style | Read / Write
gint | width | Read / Write

## Types and Values

struct | GtkPlotFlux

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkPlotData
                        ╰── GtkPlotFlux

## Implemented Interfaces

GtkPlotFlux implements AtkImplementorIface and GtkBuildable.

## Includes

    #include <gtkextra.h>

## Description

FIXME:: Need long description.

## Functions

### gtk_plot_flux_new ()

    GtkWidget *
    gtk_plot_flux_new (void);

### gtk_plot_flux_set_arrow ()

    void
    gtk_plot_flux_set_arrow (GtkPlotFlux *flux,
                             gint arrow_length,
                             gint arrow_width,
                             GtkPlotSymbolStyle arrow_style);

### gtk_plot_flux_get_arrow ()

    void
    gtk_plot_flux_get_arrow (GtkPlotFlux *flux,
                             gint *arrow_length,
                             gint *arrow_width,
                             GtkPlotSymbolStyle *arrow_style);

### gtk_plot_flux_center ()

    void
    gtk_plot_flux_center (GtkPlotFlux *flux,
                          gboolean center);

### gtk_plot_flux_is_centered ()

    gboolean
    gtk_plot_flux_is_centered (GtkPlotFlux *flux);

### gtk_plot_flux_show_scale ()

    void
    gtk_plot_flux_show_scale (GtkPlotFlux *flux,
                              gboolean show);

### gtk_plot_flux_set_scale_max ()

    void
    gtk_plot_flux_set_scale_max (GtkPlotFlux *flux,
                                 gdouble scale_max);

### gtk_plot_flux_set_size_max ()

    void
    gtk_plot_flux_set_size_max (GtkPlotFlux *flux,
                                guint size_max);

### gtk_plot_flux_set_labels_precision ()

    void
    gtk_plot_flux_set_labels_precision (GtkPlotFlux *flux,
                                        gint precision);

### gtk_plot_flux_set_labels_style ()

    void
    gtk_plot_flux_set_labels_style (GtkPlotFlux *flux,
                                    GtkPlotLabelStyle style);

### gtk_plot_flux_set_labels_prefix ()

    void
    gtk_plot_flux_set_labels_prefix (GtkPlotFlux *flux,
                                     const gchar *prefix);

### gtk_plot_flux_set_labels_suffix ()

    void
    gtk_plot_flux_set_labels_suffix (GtkPlotFlux *flux,
                                     const gchar *suffix);

## Types and Values

### struct GtkPlotFlux

    struct GtkPlotFlux;

The GtkPlotFlux struct contains only private data. It should only be accessed through the functions described below.

## Property Details

### The `“centered”` property

      “centered”                 gboolean

Flags: Read / Write

Default value: FALSE

### The `“labels-precision”` property

      “labels-precision”         gint

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“labels-prefix”` property

      “labels-prefix”            gchar *

Flags: Read / Write

Default value: NULL

### The `“labels-style”` property

      “labels-style”             gint

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“labels-suffix”` property

      “labels-suffix”            gchar *

Flags: Read / Write

Default value: NULL

### The `“length”` property

      “length”                   gint

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“scale-max”` property

      “scale-max”                gdouble

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“show-scale”` property

      “show-scale”               gboolean

Flags: Read / Write

Default value: FALSE

### The `“size-max”` property

      “size-max”                 gint

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“style”` property

      “style”                    gint

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“width”` property

      “width”                    gint

Flags: Read / Write

Allowed values: >= 0

Default value: 0